Obs-Studio com mensagem de erro no fedora 33 com deepin 15.11

Olá Pessoal

Instalei o Obs-Studio no Fedora 33 com Deepin 15.11 e está aparecendo a seguinte mensagem de erro:

Tentei abrir pelo terminal e acontece mesmo erro:
Alguma sugestão do que precisa ser feito para resolver esta questão?

https://pastebin.com/aVzA6Caz
https://pastebin.com/raw/aVzA6Caz

Comentários

  • Digite seu comentário> @SerialCom disse:

    Olá Pessoal

    Instalei o Obs-Studio no Fedora 33 com Deepin 15.11 e está aparecendo a seguinte mensagem de erro:

    Tentei abrir pelo terminal e acontece mesmo erro:
    Alguma sugestão do que precisa ser feito para resolver esta questão?

    https://pastebin.com/aVzA6Caz
    https://pastebin.com/raw/aVzA6Caz

    Mostre a saída dos comandos abaixo com uma print.

    Verificar informações de sua GPU.

    inxi -Gxxx
    

    Verificar informações do opengl

    glxinfo | grep version
    

    Caso o inxi não esteja instalado:

    sudo dnf install inxi
    

    Talvez o codec configurado não seja suportado pela sua GPU. Tente setar para usar a codificação x264, caso não seja a que já está selecionada, pois esse é um codec genérico que deve funcionar com qualquer GPU.

  • Digite seu comentário

  • Digite seu comentário> @SerialCom disse:

    Digite seu comentário

    Olá @Gideon

    Tenho o Windows 10 instalado na mesma máquina e OBS-Studio funciona normalmente.
    Infelizmente não ocorre o mesmo com o Fedora 33 e Deepin V.20.1

    Após instalação do INXI o OBS-Studio continua com a mesma mensagem de erro:
    Segue o solicitado e desde já agradeço pela sua ajuda.

    inxi -Gxxx
    Graphics: Device-1: Intel Core Processor Integrated Graphics vendor: Hewlett-Packard driver: i915
    v: kernel bus ID: 00:02.0 chip ID: 8086:0042
    Display: x11 server: Fedora Project X.org 1.20.10 compositor: kwin_x11 driver: modesetting
    unloaded: fbdev,vesa resolution: 1920x1080~60Hz s-dpi: 96
    OpenGL: renderer: Mesa DRI Intel HD Graphics (ILK) v: 2.1 Mesa 20.3.4 direct render: Yes

    glxinfo | grep version
    server glx version string: 1.4
    client glx version string: 1.4
    GLX version: 1.4
    Max core profile version: 0.0
    Max compat profile version: 2.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 2.0
    OpenGL version string: 2.1 Mesa 20.3.4
    OpenGL shading language version string: 1.20
    OpenGL ES profile version string: OpenGL ES 2.0 Mesa 20.3.4
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

  • Digite seu comentário> @SerialCom disse:

    Digite seu comentário> @SerialCom disse:

    Digite seu comentário

    Olá @Gideon

    Tenho o Windows 10 instalado na mesma máquina e OBS-Studio funciona normalmente.
    Infelizmente não ocorre o mesmo com o Fedora 33 e Deepin V.20.1

    Após instalação do INXI o OBS-Studio continua com a mesma mensagem de erro:
    Segue o solicitado e desde já agradeço pela sua ajuda.

    inxi -Gxxx
    Graphics: Device-1: Intel Core Processor Integrated Graphics vendor: Hewlett-Packard driver: i915
    v: kernel bus ID: 00:02.0 chip ID: 8086:0042
    Display: x11 server: Fedora Project X.org 1.20.10 compositor: kwin_x11 driver: modesetting
    unloaded: fbdev,vesa resolution: 1920x1080~60Hz s-dpi: 96
    OpenGL: renderer: Mesa DRI Intel HD Graphics (ILK) v: 2.1 Mesa 20.3.4 direct render: Yes

    glxinfo | grep version
    server glx version string: 1.4
    client glx version string: 1.4
    GLX version: 1.4
    Max core profile version: 0.0
    Max compat profile version: 2.1
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 2.0
    OpenGL version string: 2.1 Mesa 20.3.4
    OpenGL shading language version string: 1.20
    OpenGL ES profile version string: OpenGL ES 2.0 Mesa 20.3.4
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16

    Seu OpenGL esta na versão 2.1, a versão atual é 4.5, tente atualizá-lo. Outra coisa, vc instalou os codecs de vídeo no fedora? $ sudo dnf install ffmpeg

  • sudo dnf install ffmpeg
    [sudo] senha para edson:
    Última verificação de data de vencimento de metadados: 0:09:29 atrás em qua 03 mar 2021 09:14:48.
    O pacote ffmpeg-4.3.2-1.fc33.x86_64 já está instalado.
    Dependências resolvidas.
    Nada para fazer.
    Concluído!

    Seu OpenGL esta na versão 2.1, a versão atual é 4.5
    Como atualizo manualmente?

  • Digite seu comentário> @SerialCom disse:

    sudo dnf install ffmpeg
    [sudo] senha para edson:
    Última verificação de data de vencimento de metadados: 0:09:29 atrás em qua 03 mar 2021 09:14:48.
    O pacote ffmpeg-4.3.2-1.fc33.x86_64 já está instalado.
    Dependências resolvidas.
    Nada para fazer.
    Concluído!

    Seu OpenGL esta na versão 2.1, a versão atual é 4.5
    Como atualizo manualmente?

    O openGL é instalado junto com o mesa-drivers. Considerando que vc está utilizando apenas GPU intel, não era para ocorrer este problema. Tente reinstalar os pacotes abaixo:

    sudo dnf reinstall xorg-x11-drv-intel mesa-dri-drivers
    

    Estava fazendo uns testes aqui em ambiente virtualizado com uma instalação limpa do Fedora Workstation (gnome), onde instalei apenas os repositórios do rpmfusion e o obs-studio, não está instalado nem mesmo o codec ffmpeg. E o obs-studio está funcionando perfeitamente.

  • Infelizmente não funcionou

  • Digite seu comentário> @SerialCom disse:

    Infelizmente não funcionou

    Boa tarde, sobre esta questão não tenho mais ideias, visto que em teste no fedora KDE spin não houve qualquer problema (o DDE tbm usa o kwin atualmente). Entretanto, vc pode testar a versão flatpak do obs-studio, para ver se tbm ocorre nessa versão.

    Outra alternativa para ajudar a resolver o problema, e mais recomendada, é reportar o problema no bugzilla do rpmfusion, pois o pacote rpm do obs-studio é mantido neste repositório. Para isso, acesse o site e ao preencher as opções defina que está usando o Fedora com interface DDE (deepin desktop envirounment), descreva o que ocorre e adicione os testes que vc fez.

Entre ou Registre-se para fazer um comentário.